1# Makefile.in generated by automake 1.7.3 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26INSTALL = @INSTALL@
27install_sh_DATA = $(install_sh) -c -m 644
28install_sh_PROGRAM = $(install_sh) -c
29install_sh_SCRIPT = $(install_sh) -c
30INSTALL_HEADER = $(INSTALL_DATA)
31transform = $(program_transform_name)
32NORMAL_INSTALL = :
33PRE_INSTALL = :
34POST_INSTALL = :
35NORMAL_UNINSTALL = :
36PRE_UNINSTALL = :
37POST_UNINSTALL = :
38ACLOCAL = @ACLOCAL@
39AMDEP_FALSE = @AMDEP_FALSE@
40AMDEP_TRUE = @AMDEP_TRUE@
41AMTAR = @AMTAR@
42AUTOCONF = @AUTOCONF@
43AUTOHEADER = @AUTOHEADER@
44AUTOMAKE = @AUTOMAKE@
45AWK = @AWK@
46CC = @CC@
47CCDEPMODE = @CCDEPMODE@
48CFLAGS = @CFLAGS@
49CPPFLAGS = @CPPFLAGS@
50CYGPATH_W = @CYGPATH_W@
51DEFS = @DEFS@
52DEPDIR = @DEPDIR@
53ECHO_C = @ECHO_C@
54ECHO_N = @ECHO_N@
55ECHO_T = @ECHO_T@
56EXEEXT = @EXEEXT@
57GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
58GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
59INSTALL_DATA = @INSTALL_DATA@
60INSTALL_PROGRAM = @INSTALL_PROGRAM@
61INSTALL_SCRIPT = @INSTALL_SCRIPT@
62INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
63LDFLAGS = @LDFLAGS@
64LIBOBJS = @LIBOBJS@
65LIBS = @LIBS@
66LTLIBOBJS = @LTLIBOBJS@
67MAKEINFO = @MAKEINFO@
68OBJEXT = @OBJEXT@
69PACKAGE = @PACKAGE@
70PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
71PACKAGE_NAME = @PACKAGE_NAME@
72PACKAGE_STRING = @PACKAGE_STRING@
73PACKAGE_TARNAME = @PACKAGE_TARNAME@
74PACKAGE_VERSION = @PACKAGE_VERSION@
75PATH_SEPARATOR = @PATH_SEPARATOR@
76PKG_CONFIG = @PKG_CONFIG@
77POPT_LIBS = @POPT_LIBS@
78SET_MAKE = @SET_MAKE@
79SHELL = @SHELL@
80STRIP = @STRIP@
81VERSION = @VERSION@
82ac_ct_CC = @ac_ct_CC@
83ac_ct_STRIP = @ac_ct_STRIP@
84am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
85am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
86am__include = @am__include@
87am__leading_dot = @am__leading_dot@
88am__quote = @am__quote@
89bindir = @bindir@
90build_alias = @build_alias@
91datadir = @datadir@
92exec_prefix = @exec_prefix@
93host_alias = @host_alias@
94includedir = @includedir@
95infodir = @infodir@
96install_sh = @install_sh@
97libdir = @libdir@
98libexecdir = @libexecdir@
99localstatedir = @localstatedir@
100mandir = @mandir@
101oldincludedir = @oldincludedir@
102prefix = @prefix@
103program_transform_name = @program_transform_name@
104sbindir = @sbindir@
105sharedstatedir = @sharedstatedir@
106sysconfdir = @sysconfdir@
107target_alias = @target_alias@
108SUBDIRS = src
109subdir = .
110ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
111mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
112CONFIG_HEADER = config.h
113CONFIG_CLEAN_FILES =
114DIST_SOURCES =
115
116RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
117	ps-recursive install-info-recursive uninstall-info-recursive \
118	all-recursive install-data-recursive install-exec-recursive \
119	installdirs-recursive install-recursive uninstall-recursive \
120	check-recursive installcheck-recursive
121DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
122	Makefile.in NEWS TODO aclocal.m4 config.h.in configure \
123	configure.ac depcomp install-sh missing mkinstalldirs
124DIST_SUBDIRS = $(SUBDIRS)
125all: config.h
126	$(MAKE) $(AM_MAKEFLAGS) all-recursive
127
128.SUFFIXES:
129
130am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
131 configure.lineno
132$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
133	cd $(top_srcdir) && \
134	  $(AUTOMAKE) --gnu  Makefile
135Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
136	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
137
138$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
139	$(SHELL) ./config.status --recheck
140$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
141	cd $(srcdir) && $(AUTOCONF)
142
143$(ACLOCAL_M4):  configure.ac
144	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
145
146config.h: stamp-h1
147	@if test ! -f $@; then \
148	  rm -f stamp-h1; \
149	  $(MAKE) stamp-h1; \
150	else :; fi
151
152stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
153	@rm -f stamp-h1
154	cd $(top_builddir) && $(SHELL) ./config.status config.h
155
156$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
157	cd $(top_srcdir) && $(AUTOHEADER)
158	touch $(srcdir)/config.h.in
159
160distclean-hdr:
161	-rm -f config.h stamp-h1
162uninstall-info-am:
163
164# This directory's subdirectories are mostly independent; you can cd
165# into them and run `make' without going through this Makefile.
166# To change the values of `make' variables: instead of editing Makefiles,
167# (1) if the variable is set in `config.status', edit `config.status'
168#     (which will cause the Makefiles to be regenerated when you run `make');
169# (2) otherwise, pass the desired values on the `make' command line.
170$(RECURSIVE_TARGETS):
171	@set fnord $$MAKEFLAGS; amf=$$2; \
172	dot_seen=no; \
173	target=`echo $@ | sed s/-recursive//`; \
174	list='$(SUBDIRS)'; for subdir in $$list; do \
175	  echo "Making $$target in $$subdir"; \
176	  if test "$$subdir" = "."; then \
177	    dot_seen=yes; \
178	    local_target="$$target-am"; \
179	  else \
180	    local_target="$$target"; \
181	  fi; \
182	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
183	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
184	done; \
185	if test "$$dot_seen" = "no"; then \
186	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
187	fi; test -z "$$fail"
188
189mostlyclean-recursive clean-recursive distclean-recursive \
190maintainer-clean-recursive:
191	@set fnord $$MAKEFLAGS; amf=$$2; \
192	dot_seen=no; \
193	case "$@" in \
194	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
195	  *) list='$(SUBDIRS)' ;; \
196	esac; \
197	rev=''; for subdir in $$list; do \
198	  if test "$$subdir" = "."; then :; else \
199	    rev="$$subdir $$rev"; \
200	  fi; \
201	done; \
202	rev="$$rev ."; \
203	target=`echo $@ | sed s/-recursive//`; \
204	for subdir in $$rev; do \
205	  echo "Making $$target in $$subdir"; \
206	  if test "$$subdir" = "."; then \
207	    local_target="$$target-am"; \
208	  else \
209	    local_target="$$target"; \
210	  fi; \
211	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
212	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
213	done && test -z "$$fail"
214tags-recursive:
215	list='$(SUBDIRS)'; for subdir in $$list; do \
216	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
217	done
218ctags-recursive:
219	list='$(SUBDIRS)'; for subdir in $$list; do \
220	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
221	done
222
223ETAGS = etags
224ETAGSFLAGS =
225
226CTAGS = ctags
227CTAGSFLAGS =
228
229tags: TAGS
230
231ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
232	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
233	unique=`for i in $$list; do \
234	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
235	  done | \
236	  $(AWK) '    { files[$$0] = 1; } \
237	       END { for (i in files) print i; }'`; \
238	mkid -fID $$unique
239
240TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
241		$(TAGS_FILES) $(LISP)
242	tags=; \
243	here=`pwd`; \
244	list='$(SUBDIRS)'; for subdir in $$list; do \
245	  if test "$$subdir" = .; then :; else \
246	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
247	  fi; \
248	done; \
249	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
250	unique=`for i in $$list; do \
251	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
252	  done | \
253	  $(AWK) '    { files[$$0] = 1; } \
254	       END { for (i in files) print i; }'`; \
255	test -z "$(ETAGS_ARGS)$$tags$$unique" \
256	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
257	     $$tags $$unique
258
259ctags: CTAGS
260CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
261		$(TAGS_FILES) $(LISP)
262	tags=; \
263	here=`pwd`; \
264	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
265	unique=`for i in $$list; do \
266	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267	  done | \
268	  $(AWK) '    { files[$$0] = 1; } \
269	       END { for (i in files) print i; }'`; \
270	test -z "$(CTAGS_ARGS)$$tags$$unique" \
271	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
272	     $$tags $$unique
273
274GTAGS:
275	here=`$(am__cd) $(top_builddir) && pwd` \
276	  && cd $(top_srcdir) \
277	  && gtags -i $(GTAGS_ARGS) $$here
278
279distclean-tags:
280	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
281DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
282
283top_distdir = .
284distdir = $(PACKAGE)-$(VERSION)
285
286am__remove_distdir = \
287  { test ! -d $(distdir) \
288    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
289         && rm -fr $(distdir); }; }
290
291GZIP_ENV = --best
292distuninstallcheck_listfiles = find . -type f -print
293distcleancheck_listfiles = find . -type f -print
294
295distdir: $(DISTFILES)
296	$(am__remove_distdir)
297	mkdir $(distdir)
298	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
299	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
300	list='$(DISTFILES)'; for file in $$list; do \
301	  case $$file in \
302	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
303	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
304	  esac; \
305	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
306	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
307	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
308	    dir="/$$dir"; \
309	    $(mkinstalldirs) "$(distdir)$$dir"; \
310	  else \
311	    dir=''; \
312	  fi; \
313	  if test -d $$d/$$file; then \
314	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
315	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
316	    fi; \
317	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
318	  else \
319	    test -f $(distdir)/$$file \
320	    || cp -p $$d/$$file $(distdir)/$$file \
321	    || exit 1; \
322	  fi; \
323	done
324	list='$(SUBDIRS)'; for subdir in $$list; do \
325	  if test "$$subdir" = .; then :; else \
326	    test -d $(distdir)/$$subdir \
327	    || mkdir $(distdir)/$$subdir \
328	    || exit 1; \
329	    (cd $$subdir && \
330	      $(MAKE) $(AM_MAKEFLAGS) \
331	        top_distdir="$(top_distdir)" \
332	        distdir=../$(distdir)/$$subdir \
333	        distdir) \
334	      || exit 1; \
335	  fi; \
336	done
337	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
338	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
339	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
340	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
341	|| chmod -R a+r $(distdir)
342dist-gzip: distdir
343	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
344	$(am__remove_distdir)
345
346dist dist-all: distdir
347	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
348	$(am__remove_distdir)
349
350# This target untars the dist file and tries a VPATH configuration.  Then
351# it guarantees that the distribution is self-contained by making another
352# tarfile.
353distcheck: dist
354	$(am__remove_distdir)
355	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
356	chmod -R a-w $(distdir); chmod a+w $(distdir)
357	mkdir $(distdir)/_build
358	mkdir $(distdir)/_inst
359	chmod a-w $(distdir)
360	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
361	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
362	  && cd $(distdir)/_build \
363	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
364	    $(DISTCHECK_CONFIGURE_FLAGS) \
365	  && $(MAKE) $(AM_MAKEFLAGS) \
366	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
367	  && $(MAKE) $(AM_MAKEFLAGS) check \
368	  && $(MAKE) $(AM_MAKEFLAGS) install \
369	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
370	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
371	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
372	        distuninstallcheck \
373	  && chmod -R a-w "$$dc_install_base" \
374	  && ({ \
375	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
376	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
377	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
378	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
379	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
380	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
381	  && rm -rf "$$dc_destdir" \
382	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
383	  && rm -f $(distdir).tar.gz \
384	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
385	$(am__remove_distdir)
386	@echo "$(distdir).tar.gz is ready for distribution" | \
387	  sed 'h;s/./=/g;p;x;p;x'
388distuninstallcheck:
389	cd $(distuninstallcheck_dir) \
390	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
391	   || { echo "ERROR: files left after uninstall:" ; \
392	        if test -n "$(DESTDIR)"; then \
393	          echo "  (check DESTDIR support)"; \
394	        fi ; \
395	        $(distuninstallcheck_listfiles) ; \
396	        exit 1; } >&2
397distcleancheck: distclean
398	if test '$(srcdir)' = . ; then \
399	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
400	  exit 1 ; \
401	fi
402	test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
403	  || { echo "ERROR: files left in build directory after distclean:" ; \
404	       $(distcleancheck_listfiles) ; \
405	       exit 1; } >&2
406check-am: all-am
407check: check-recursive
408all-am: Makefile config.h
409installdirs: installdirs-recursive
410installdirs-am:
411
412install: install-recursive
413install-exec: install-exec-recursive
414install-data: install-data-recursive
415uninstall: uninstall-recursive
416
417install-am: all-am
418	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
419
420installcheck: installcheck-recursive
421install-strip:
422	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
423	  INSTALL_STRIP_FLAG=-s \
424	  `test -z '$(STRIP)' || \
425	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
426mostlyclean-generic:
427
428clean-generic:
429
430distclean-generic:
431	-rm -f Makefile $(CONFIG_CLEAN_FILES)
432
433maintainer-clean-generic:
434	@echo "This command is intended for maintainers to use"
435	@echo "it deletes files that may require special tools to rebuild."
436clean: clean-recursive
437
438clean-am: clean-generic mostlyclean-am
439
440distclean: distclean-recursive
441	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
442distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
443
444dvi: dvi-recursive
445
446dvi-am:
447
448info: info-recursive
449
450info-am:
451
452install-data-am:
453
454install-exec-am:
455
456install-info: install-info-recursive
457
458install-man:
459
460installcheck-am:
461
462maintainer-clean: maintainer-clean-recursive
463	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
464	-rm -rf autom4te.cache
465maintainer-clean-am: distclean-am maintainer-clean-generic
466
467mostlyclean: mostlyclean-recursive
468
469mostlyclean-am: mostlyclean-generic
470
471pdf: pdf-recursive
472
473pdf-am:
474
475ps: ps-recursive
476
477ps-am:
478
479uninstall-am: uninstall-info-am
480
481uninstall-info: uninstall-info-recursive
482
483.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
484	clean-generic clean-recursive ctags ctags-recursive dist \
485	dist-all dist-gzip distcheck distclean distclean-generic \
486	distclean-hdr distclean-recursive distclean-tags distcleancheck \
487	distdir distuninstallcheck dvi dvi-am dvi-recursive info \
488	info-am info-recursive install install-am install-data \
489	install-data-am install-data-recursive install-exec \
490	install-exec-am install-exec-recursive install-info \
491	install-info-am install-info-recursive install-man \
492	install-recursive install-strip installcheck installcheck-am \
493	installdirs installdirs-am installdirs-recursive \
494	maintainer-clean maintainer-clean-generic \
495	maintainer-clean-recursive mostlyclean mostlyclean-generic \
496	mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
497	ps-recursive tags tags-recursive uninstall uninstall-am \
498	uninstall-info-am uninstall-info-recursive uninstall-recursive
499
500# Tell versions [3.59,3.63) of GNU make to not export all variables.
501# Otherwise a system limit (for SysV at least) may be exceeded.
502.NOEXPORT:
503